## Class scoped_flag

boost::log::sinks::asynchronous_sink::scoped_flag — A scope guard that resets a flag on destructor.

## Synopsis

    // In header: <boost/log/sinks/async_frontend.hpp>

    // A scope guard that resets a flag on destructor.

    class scoped_flag {
    public:
      // construct/copy/destruct
      explicit scoped_flag(frontend_mutex_type &, condition_variable_any &,
                           boost::atomic< bool > &);
      scoped_flag(scoped_flag const &);
      scoped_flag & operator=(scoped_flag const &);
      ~scoped_flag();
    };

## Description

### `scoped_flag` public construct/copy/destruct

1.     explicit scoped_flag(frontend_mutex_type & mut, condition_variable_any & cond,
                            boost::atomic< bool > & f);

2.     scoped_flag(scoped_flag const &);

3.     scoped_flag & operator=(scoped_flag const &);

4.     ~scoped_flag();